Bug 779801 - Enable the java.naming.oracle.aq.datasource to be passed into AQInitialContextFactory
Enable the java.naming.oracle.aq.datasource to be passed into AQInitialContex...
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 18:33 EDT by Matt Davis
Modified: 2012-07-13 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-2164
Environment:
Last Closed: 2010-09-21 13:18:15 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2164 None None None Never

  None (edit)
Description Matt Davis 2010-07-20 18:33:31 EDT
++ This bug is a clone of bug 779800 ++

Help Desk Ticket Reference: https://access.redhat.com/issue-tracker/?module=issues&action=view&tid=1111063
project_key: SOA

JBoss customer is attempting to use Oracle AQ password encryption.  AQInitialContextFactory sets a static String to point to the AQ datasource:

DB_DATASOURCE = "java.naming.oracle.aq.datasource";

but this is never implemented.  If the developer can pass in the AQ datasource, then the datasource password can be encrypted.
Comment 1 Matt Davis 2010-07-20 18:36:12 EDT
Help Desk Ticket Reference: Added: https://access.redhat.com/issue-tracker/?module=issues&action=view&tid=1111063
Comment 2 Anne-Louise Tangring 2010-09-10 13:59:15 EDT
We do not support Oracle AQ, This needs to be closed as won't fix.
Comment 3 Anne-Louise Tangring 2010-09-21 13:18:15 EDT
See previous comment.

Note You need to log in before you can comment on or make changes to this bug.